<?php // $Id: maintenance.php,v 1.8 2001/11/29 12:55:52 ciaccia Exp $

/************************************************************************/
/* phpPgAds                                                             */
/* ========                                                             */
/*                                                                      */
/* Copyright (c) 2001 by the phpPgAds developers                        */
/* http://sourceforge.net/projects/phppgads                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/



// Figure out our location
if (strlen(__FILE__) > strlen(basename(__FILE__)))
    define ('phpAds_path', substr(__FILE__, 0, strpos(__FILE__, 'maintenance') - 1));
else
    define ('phpAds_path', '.');


// Include required files
require (phpAds_path."/config.inc.php");
require (phpAds_path."/lib-db.inc.php");
require (phpAds_path."/lib-dbconfig.inc.php");
require (phpAds_path."/lib-cache.inc.php");
require (phpAds_path."/admin/lib-statistics.inc.php");

// Set time limit and ignore user abort
if (!get_cfg_var ('safe_mode')) 
{
	set_time_limit (300);
	ignore_user_abort(1);
}


// Make database connection and load config
phpAds_dbConnect();
phpAds_LoadDbConfig();


// Load language strings
require("../language/".$phpAds_config['language']."/default.lang.php");

// Change date/time formats to match Postgres Syntax
$date_format = array(strtr($date_format, array("%d" => "DD", "%m" => "MM", "%Y" => "YYYY")), $date_format);
$time_format = array(strtr($time_format, array("%H" => "HH24", "%i" => "MI", "%S" => "SS")), $time_format);


$adminreport = "";

if (date('H') == 0)
{
	include ("maintenance-reports.php");
	include ("maintenance-activation.php");
}

include ("maintenance-priority.php");

if ($adminreport != "")
{
	// mail admin report to admin
}

?>